Source: gdk-pixbuf-xlib
Section: oldlibs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: @GNOME_TEAM@
Build-Depends: debhelper-compat (= 12),
               gnome-pkg-tools (>= 0.10),
               libgdk-pixbuf-2.0-dev (>= 2.40.0),
               libglib2.0-dev (>= 2.48.0),
               libx11-dev,
               meson (>= 0.46.0)
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://www.gtk.org/
Vcs-Git: https://salsa.debian.org/gnome-team/gdk-pixbuf-xlib.git
Vcs-Browser: https://salsa.debian.org/gnome-team/gdk-pixbuf-xlib

Package: libgdk-pixbuf-xlib-2.0-0
Architecture: any
Depends: shared-mime-info,
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends: libgdk-pixbuf2.0-bin
Breaks: libgdk-pixbuf2.0-0 (<< 2.40.0+dfsg-6~)
Replaces: libgdk-pixbuf2.0-0 (<< 2.40.0+dfsg-6~)
Multi-Arch: same
Description: GDK Pixbuf library (deprecated Xlib integration)
 This package contains a deprecated library to render GdkPixbuf structures
 to X drawables using Xlib (libX11).
 .
 No newly written code should ever use this library.
 .
 If your existing code depends on gdk-pixbuf-xlib, then you're strongly
 encouraged to port away from it.

Package: libgdk-pixbuf2.0-0
Architecture: any
Depends: libgdk-pixbuf-2.0-0 (>= 2.40.0),
         libgdk-pixbuf-xlib-2.0-0 (>= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: GDK Pixbuf library (transitional package)
 The GDK Pixbuf library provides:
  - Image loading and saving facilities.
  - Fast scaling and compositing of pixbufs.
  - Simple animation loading (ie. animated GIFs)
 .
 This transitional package depends on the main library libgdk-pixbuf-2.0-0
 and the deprecated Xlib integration library libgdk-pixbuf-xlib-2.0-0.
 .
 Packages that only require the main library should depend on
 libgdk-pixbuf-2.0-0 | libgdk-pixbuf2.0-0.
 .
 Packages that require the Xlib integration should port away from it,
 or until that can be done, depend on
 libgdk-pixbuf-xlib-2.0-0 | libgdk-pixbuf2.0-0.

Package: libgdk-pixbuf-xlib-2.0-dev
Architecture: any
Multi-Arch: same
Depends: libgdk-pixbuf-xlib-2.0-0 (= ${binary:Version}),
         libgdk-pixbuf-2.0-dev (>= 2.40.0),
         libglib2.0-dev (>= 2.38.0),
         libx11-dev,
         shared-mime-info,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libgdk-pixbuf2.0-dev (<< 2.40.0+dfsg-6~)
Replaces: libgdk-pixbuf2.0-dev (<< 2.40.0+dfsg-6~)
Description: GDK Pixbuf library (development files)
 This package contains the header files which are needed for using
 GDK Pixbuf's deprecated Xlib integration.
 .
 No newly written code should ever use this library.
 .
 If your existing code depends on gdk-pixbuf-xlib, then you're strongly
 encouraged to port away from it.

Package: libgdk-pixbuf2.0-dev
Architecture: any
Multi-Arch: same
Depends: libgdk-pixbuf-2.0-dev (>= 2.40.0),
         libgdk-pixbuf-xlib-2.0-dev (>= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: GDK Pixbuf library (transitional development files)
 The GDK Pixbuf library provides:
  - Image loading and saving facilities.
  - Fast scaling and compositing of pixbufs.
  - Simple animation loading (ie. animated GIFs)
 .
 This transitional package depends on the development files for the
 main library libgdk-pixbuf-2.0-0 and the deprecated Xlib integration
 library libgdk-pixbuf-xlib-2.0-0.
 .
 Packages that only require the main library should build-depend on
 libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev instead.
 .
 Packages that require the Xlib integration should port away from it,
 or until that can be done, depend on
 libgdk-pixbuf-xlib-2.0-dev | libgdk-pixbuf2.0-dev instead.
